﻿.form-area {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 32px;
    height: 1050px;
    justify-content: center;
}

.main-container {
    max-width: 600px;
    display: flex;
    flex-direction: column;
    align-content: center;
    width: 100%;
    min-width: 440px;
    padding: 32px;
    gap: 32px;
}

#step-1, #step-2 {
    display: flex;
    flex-direction: column;
    gap: 32px;
}

.step-area {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
    gap: 8px;
}

    .step-area .step {
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: center;
        gap: 8px;
    }

        .step-area .step .fds-badge i {
            font-size: 21px;
            display: flex;
            flex-direction: row;
            align-items: center;
            justify-content: center;
        }

.step.active .fds-badge {
    background-color: var(--blue-5);
    color: var(--blue-60);
}

.step.active .body-short-01 {
    color: var(--blue-60);
}

.step::after {
    content: "";
    width: 100px;
    height: 0px;
    border: 1px solid var(--border-primary);
}

.step:last-child::after {
    display: none;
}

.form-title {
    display: flex;
    flex-direction: column;
    gap: 8px;
}

#create-office, #register-form {
    display: flex;
    flex-direction: column;
    gap: 16px;
}

    #create-office .fds-form-item,
    #register-form .fds-form-item {
        display: flex;
        flex-direction: column;
        gap: 8px;
        width: 100%;
        margin: 0;
    }

    #create-office .fds-form-item__label,
    #register-form .fds-form-item__label {
        width: 100%;
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: space-between;
    }

    #create-office .fds-form-item__content,
    #register-form .fds-form-item__content {
        display: flex;
        flex-direction: column;
        gap: 8px;
        width: 100%;
    }

.d-flex--gap-24 {
    gap: 24px;
}

.d-flex--gap-8 {
    gap: 8px;
}

body {
    overflow-x: hidden;
    overflow-y: auto;
}


.banner-area {
    width: 100%;
    padding: 64px;
    height: 1050px;
    background: radial-gradient(50% 50% at 50% 50%, #202E49 0%, #080E19 100%) /* warning: gradient uses a rotation that is not supported by CSS and may not behave as expected */;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

    .banner-area > div {
        display: flex;
        flex-direction: column;
        gap: 16px;
    }

.banner-text-01 {
    font-family: Inter;
    font-weight: 700;
    font-size: 1.5rem;
    line-height: 2rem;
    letter-spacing: 0%;
    vertical-align: middle;
}


.banner-text-02 {
    font-family: Inter;
    font-weight: 800;
    font-size: 4.5rem;
    line-height: 5rem;
    letter-spacing: 0%;
    vertical-align: middle;
    position: relative;
    display: flex;
    flex-direction: column;
    gap: 8px;
}

    .banner-text-02 > div,
    .banner-text-02 .r1 {
        background: linear-gradient(89.55deg, var(--blue-60) 0.39%, var(--purple-60) 100.4%);
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
    }


    .banner-text-02::after {
        content: "";
        position: absolute;
        left: 446px;
        top: -24px;
        width: 111px;
        height: 80px;
        background-image: url('../images/register.svg');
        background-repeat: no-repeat;
        background-size: contain;
    }

.banner-text-03 {
    font-family: Inter;
    font-weight: 500;
    font-size: 1.25rem;
    line-height: 1.75rem;
    letter-spacing: 0px;
    vertical-align: middle;
    color: var(--gray-40)
}

    .banner-text-03 span {
        font-family: Inter;
        font-weight: 600;
        font-style: italic;
        font-size: 1.25rem;
        line-height: 1.75rem;
        letter-spacing: 0px;
        vertical-align: middle;
        color: var(--gray-0)
    }

.banner-text-04 {
    font-family: Inter;
    font-weight: 500;
    font-style: italic;
    font-size: 0.875rem;
    line-height: 1.25rem;
    letter-spacing: 0px;
    vertical-align: middle;
    border-left: 2px solid var(--blue-50);
    padding-inline: 8px;
    color: var(--cool-gray-40);
    max-width: 615px;
}

.items {
    display: flex;
    flex-direction: column;
    gap: 16px;
}

    .items .item {
        display: flex;
        flex-direction: row;
        gap: 16px;
        padding: 16px;
        border-radius: 8px;
        background: #080E1940;
        border: 1px solid #FFFFFF1A;
    }

        .items .item .fds-badge {
            background: #00000040;
            color: var(--blue-60);
        }

.footer {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
}

    .footer .users {
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: flex-start;
    }

        .footer .users .user {
            margin-left: -8px;
        }


        .footer .users .fds-badge {
            background-color: var(--cool-gray-80);
            color: white;
            border: 1px solid var(--cool-gray-100);
        }

.d-flex--gap-16 {
    gap: 16px;
}

.copyright-text {
    display: flex;
    flex-direction: row;
    gap: 8px;
    align-items: center;
    justify-content: center;
}

.footer-left {
    display: flex;
    flex-direction: row;
    gap: 16px;
    justify-content: center;
    align-items: center;
}

.register-form .fds-checkbox {
    margin: 12px 0;
}

.bold {
    font-weight: 600;
}

.helper-text {
    display: flex;
    flex-direction: row;
    gap: 4px;
    font-family: Inter;
    font-weight: 400;
    font-style: normal;
    font-size: 12px;
    line-height: 16px;
    letter-spacing: 0.32px;
    vertical-align: middle;
}

    .helper-text i {
        font-weight: 900;
        font-size: 16px;
    }

#kurumsal-firma, #sahis-firma {
    display: flex;
    flex-direction: column;
    gap: 32px;
    padding-left: 0;
    padding-top: 0;
}

.tab-buttons {
    display: flex;
    flex-direction: row;
    gap: 24px;
}

.tab-button {
    height: 100px;
    width: 100%;
    opacity: 1;
    padding: 16px;
    gap: 12px;
    border-radius: 8px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    border: 2px solid var(--gray-5);
    background-color: transparent;
    cursor: pointer;
}

    .tab-button.active {
        border: 2px solid var(--blue-60);
        background-color: var(--background-notification);
        box-shadow: 0px 6px 12px 0px #0000001A;
    }

        .tab-button.active .fds-badge {
            background-color: var(--blue-60);
            color: white;
        }

    .tab-button .fds-badge {
        background-color: var(--background-surface);
        color: var(--text-tertiary);
    }

    .tab-button .label-02 {
        color: var(--text-tertiary);
    }

    .tab-button.active .label-02 {
        color: var(--blue-60);
    }

.create-office {
    display: flex;
    flex-direction: column;
    gap: 32px;
}

    .create-office .fds-tab-content {
        display: flex;
        flex-direction: column;
        gap: 24px;
    }

.d-flex--column {
    display: flex;
    flex-direction: column;
}

.d-flex--gap-16 {
    gap: 16px;
}


[data-invalid] .fds-checkbox__label-mark {
    box-shadow: inset 0 0 0 1px #da1e28;
}


[data-invalid] .fds-checkbox__label-mark {
    box-shadow: inset 0 0 0 1px #da1e28;
}

[data-invalid] .label-01 {
    color: #da1e28;
}

[data-invalid] .fds-form-item__error-icon {
    display: block;
}

.fds-form-item__error-icon {
    display: none;
}

.fds-form-item__suffix {
    display: flex;
    flex-direction: row;
    gap: 10px;
}

.fds-form-item__helper-text {
    margin-top: 0px !important;
}


#create-office .fds-form-item__label {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    width: 100%;
}

.gray-card {
    display: flex;
    flex-direction: column;
    gap: 8px;
    padding: 16px;
    border-radius: 12px;
    background-color: var(--background-main);
    width: 100%;
    height: auto;
}

    .gray-card .icon {
        width: 48px;
        height: 48px;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        font-size: 36px;
        line-height: 36px;
        padding: 6px;
        color: var(--cool-gray-60);
    }

    .gray-card > div {
        display: flex;
        flex-direction: row;
        gap: 8px;
        align-items: center;
    }

    .gray-card .fds-btn {
        width: 100%;
    }


#sizi-arayalim .fds-form-item {
    margin-bottom: 0;
    display: flex;
    flex-direction: column;
    gap: 8px;
    width: 100%;
}

#sizi-arayalim .fds-form-item__content {
    width: 100%;
}


.d-flex--space-between {
    align-items: center;
    justify-content: space-between;
    width: 100%;
}

.fds-form-item__suffix-icon {
    gap: 12px;
    width: initial;
}